import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/slider/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["update:modelValue", "change", "start", "stop"],
  props: [].concat(props, ["modelValue", "disabled", "max", "min", "step", "numPages", "showTip", "showInput", "height", "range", "formatTooltip", "showSteps", "showLabel", "formatLabel", "vertical", "unit"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "relative flex h-auto flex-row w-full"
  }, [_c("div", {
    staticClass: "self-center mr-2 block sm:hidden text-sm"
  }, [_vm._t("left", [_vm._v(" " + _vm._s(_vm.min) + " ")])], 2), _c("div", {
    ref: "slider",
    staticClass: "tiny-mobile-slider relative bg-color-bg-3 w-full h-0.5 flex-1 my-4 mx-0",
    class: [_vm.disabled ? "cursor-default" : "cursor-pointer"],
    attrs: {
      "role": "tiny-slider"
    },
    on: {
      "touchstart": _vm.bindMouseDown,
      "mousedown": _vm.bindMouseDown
    }
  }, [_c("div", {
    staticClass: "tiny-mobile-slider__range absolute rounded left-0 -bottom-px h-1",
    class: [_vm.disabled ? "bg-color-none-hover" : "bg-color-brand"],
    style: _vm.state.barStyle,
    attrs: {
      "role": "tiny-slider__range"
    }
  }), _vm.state.leftBtnShow ? _c("div", {
    staticClass: "tiny-mobile-slider__handle absolute w-6 h-6 sm:w-5 sm:h-5 box-border border-0 sm:border-2 shadow-md sm:shadow-none rounded-full bg-color-bg-1 -translate-x-2.5 -bottom-[0.5625rem] left-0",
    class: [_vm.disabled ? "border-color-none-hover cursor-not-allowed" : "cursor-grab border-color-brand hover:border-color-brand-hover", _vm.state.activeIndex === 0 ? "z-20" : "z-10"],
    style: _vm.state.leftBtnStyle,
    attrs: {
      "role": "tiny-slider__handle",
      "tabindex": "0"
    },
    on: {
      "mouseenter": _vm.displayTip,
      "mouseleave": _vm.hideTip,
      "touchstart": _vm.displayTip,
      "touchend": _vm.hideTip,
      "keydown": _vm.bindKeyDown
    }
  }) : _vm._e(), _vm.state.rightBtnShow ? _c("div", {
    staticClass: "tiny-mobile-slider__handle absolute w-6 h-6 sm:w-5 sm:h-5 box-border border-0 sm:border-2 shadow-md sm:shadow-none rounded-full bg-color-bg-1 -translate-x-2.5 -bottom-[0.5625rem] left-0",
    class: [_vm.disabled ? "border-color-none-hover cursor-not-allowed" : "cursor-grab border-color-brand hover:border-color-brand-hover", _vm.state.activeIndex === 1 ? "z-20" : "z-10"],
    style: _vm.state.rightBtnStyle,
    attrs: {
      "role": "tiny-slider__handle",
      "tabindex": "0"
    },
    on: {
      "mouseenter": _vm.displayTip,
      "mouseleave": _vm.hideTip,
      "touchstart": _vm.displayTip,
      "touchend": _vm.hideTip,
      "keydown": _vm.bindKeyDown
    }
  }) : _vm._e(), _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.showTip && _vm.state.showTip,
      expression: "showTip && state.showTip"
    }],
    ref: "sliderTip",
    class: ["absolute -top-[3.25rem] px-4 py-1.5 bg-white drop-shadow-lg rounded select-none z-10 whitespace-nowrap text-sm sm:text-xs", "after:content-[''] after:absolute after:left-1/2 after:-bottom-2 after:-translate-x-1/2 after:w-0 after:h-2", "after:border-t-8 after:border-r-8 after:border-l-8 after:border-t-white after:border-x-transparent"],
    style: _vm.state.tipStyle
  }, [_vm._v(" " + _vm._s(_vm.state.tipValue) + " ")]), _vm.showSteps ? _c("div", _vm._l(_vm.state.points, function(p, i) {
    return _c("div", {
      key: p.position + i,
      staticClass: "w-0.5 h-0.5 rounded-full sm:rounded absolute sm:h-1 bottom-1.5 sm:bottom-1",
      class: [p.value >= Math.min(_vm.state.rightBtnValue, _vm.state.leftBtnValue) && p.value <= Math.max(_vm.state.rightBtnValue, _vm.state.leftBtnValue) ? "bg-color-brand" : "bg-color-bg-3", _vm.disabled ? "bg-color-border-disabled" : ""],
      style: {
        "left": p.position
      }
    });
  }), 0) : _vm._e(), _vm.showLabel ? _c("div", {
    staticClass: "hidden sm:block w-full h-4 mt-4"
  }, _vm._l(_vm.state.labels, function(p, i) {
    return _c("div", {
      key: p.position + i,
      staticClass: "absolute -translate-x-1/2 first:translate-x-0 last:-translate-x-full",
      class: [_vm.disabled ? "text-color-text-disabled" : "text-color-text-primary"],
      style: {
        "left": p.position,
        "max-width": "calc( " + _vm.max / _vm.step + "% - 20px )"
      }
    }, [_vm._v(" " + _vm._s(p.label) + " ")]);
  }), 0) : _vm._e()]), _c("div", {
    staticClass: "self-center ml-2 block text-sm sm:hidden"
  }, [_vm._t("right", [_vm._v(" " + _vm._s(_vm.max) + " ")])], 2), _vm.showInput ? [_vm.state.isDouble ? _c("div", {
    staticClass: "relative flex justify-between items-center ml-5"
  }, [_vm._t("default", [_c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.inputValue[0],
      expression: "state.inputValue[0]"
    }],
    staticClass: "h-8 w-12 outline-0 px-2 py-0 text-center border border-color-bg-3 hover:border-color-border-hover focus:border-color-brand-focus disabled:border-color-border rounded",
    attrs: {
      "type": "text",
      "disabled": _vm.state.disabled
    },
    domProps: {
      "value": _vm.state.inputValue[0]
    },
    on: {
      "change": function change($event) {
        return _vm.inputValueChange($event, "left");
      },
      "input": function input($event) {
        if ($event.target.composing)
          return;
        _vm.$set(_vm.state.inputValue, 0, $event.target.value);
      }
    }
  }), _c("div", {
    staticClass: "h-px w-4 mx-2 my-0",
    class: [_vm.disabled ? "bg-color-border-disabled" : "bg-color-text-primary"]
  }), _c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.inputValue[1],
      expression: "state.inputValue[1]"
    }],
    staticClass: "h-8 w-12 outline-0 px-2 py-0 text-center border border-color-bg-3 hover:border-color-border-hover focus:border-color-brand-focus disabled:border-color-border rounded",
    attrs: {
      "type": "text",
      "disabled": _vm.state.disabled
    },
    domProps: {
      "value": _vm.state.inputValue[1]
    },
    on: {
      "change": function change($event) {
        return _vm.inputValueChange($event, "right");
      },
      "input": function input($event) {
        if ($event.target.composing)
          return;
        _vm.$set(_vm.state.inputValue, 1, $event.target.value);
      }
    }
  }), _c("span", {
    staticClass: "ml-2"
  }, [_vm._v(_vm._s(_vm.unit))])], {
    "slotScope": _vm.state.inputValue
  })], 2) : _c("div", {
    staticClass: "ml-5 self-center"
  }, [_vm._t("default", [_c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.activeValue,
      expression: "state.activeValue"
    }],
    staticClass: "h-8 w-12 outline-0 px-2 py-0 text-center border border-color-bg-3 hover:border-color-border-hover focus:border-color-brand-focus disabled:border-color-border rounded",
    attrs: {
      "type": "text",
      "disabled": _vm.state.disabled
    },
    domProps: {
      "value": _vm.state.activeValue
    },
    on: {
      "input": function input($event) {
        if ($event.target.composing)
          return;
        _vm.$set(_vm.state, "activeValue", $event.target.value);
      }
    }
  }), _c("span", {
    staticClass: "ml-2"
  }, [_vm._v(_vm._s(_vm.unit))])], {
    "slotScope": _vm.state.activeValue
  })], 2)] : _vm._e()], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
