import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/slider/vue";
import { defineComponent, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import "@dft-vue-2-opentiny/vue-theme/slider/index.css";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["update:modelValue", "change", "start", "stop"],
  props: [].concat(props, ["modelValue", "disabled", "max", "min", "vertical", "step", "numPages", "showTip", "showInput", "height", "range", "formatTooltip"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-slider__wrapper",
    staticStyle: {
      "position": "relative"
    }
  }, [_c("div", {
    class: ["tiny-slider", {
      "tiny-slider__vertical": _vm.vertical,
      disabled: _vm.state.disabled
    }],
    style: {
      height: _vm.vertical ? _vm.height : ""
    },
    attrs: {
      "role": "tiny-slider"
    },
    on: {
      "mousedown": _vm.bindMouseDown
    }
  }, [_c("transition", {
    attrs: {
      "appear": "",
      "appear-class": "custom-appear-class"
    },
    on: {
      "before-appear": _vm.customBeforeAppearHook,
      "after-appear": _vm.customAfterAppearHook
    }
  }, [_c("div", {
    class: ["tiny-slider__range", _vm.vertical ? "tiny-slider__down" : "tiny-slider__left"],
    style: _vm.state.barStyle
  })]), _vm.state.leftBtnShow ? _c("div", {
    staticClass: "tiny-slider__handle",
    class: {
      "handle-focus": _vm.state.activeIndex === 0
    },
    style: _vm.state.leftBtnStyle,
    attrs: {
      "tabindex": "0"
    },
    on: {
      "mouseenter": _vm.displayTip,
      "mouseleave": _vm.hideTip,
      "keydown": _vm.bindKeyDown
    }
  }, [_c("svg", {
    staticClass: "tiny-slider-left-svg",
    attrs: {
      "viewBox": "0 0 1024 1024"
    }
  }, [_c("path", {
    staticClass: "tiny-slider-left-svg",
    attrs: {
      "d": "M278.863 867.255c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-838.511c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v838.511zM3.17 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055zM554.555 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055z"
    }
  })])]) : _vm._e(), _vm.state.rightBtnShow ? _c("div", {
    staticClass: "tiny-slider__handle",
    class: {
      "handle-focus": _vm.state.activeIndex === 1
    },
    style: _vm.state.rightBtnStyle,
    attrs: {
      "tabindex": "0"
    },
    on: {
      "mouseenter": _vm.displayTip,
      "mouseleave": _vm.hideTip,
      "keydown": _vm.bindKeyDown
    }
  }, [_c("svg", {
    staticClass: "tiny-slider-right-svg",
    attrs: {
      "viewBox": "0 0 1024 1024"
    }
  }, [_c("path", {
    staticClass: "tiny-slider-right-svg",
    attrs: {
      "d": "M278.863 867.255c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-838.511c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v838.511zM3.17 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055zM554.555 791.027c0 29.47 24.686 53.36 55.138 53.36s55.138-23.89 55.138-53.36v-686.055c0-29.47-24.686-53.36-55.138-53.36s-55.138 23.89-55.138 53.36v686.055z"
    }
  })])]) : _vm._e(), _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.showTip && _vm.state.showTip,
      expression: "showTip && state.showTip"
    }],
    staticClass: "tiny-slider__tips",
    style: _vm.state.tipStyle
  }, [_vm._v(" " + _vm._s(_vm.state.tipValue) + " ")])], 1), _vm.showInput && !_vm.state.isDouble ? [_c("div", {
    staticClass: "tiny-slider__input"
  }, [_vm._t("default", [_c("input", {
    directives: [{
      name: "model",
      rawName: "v-model",
      value: _vm.state.activeValue,
      expression: "state.activeValue"
    }],
    attrs: {
      "type": "text",
      "disabled": _vm.state.disabled
    },
    domProps: {
      "value": _vm.state.activeValue
    },
    on: {
      "input": function input($event) {
        if ($event.target.composing)
          return;
        _vm.$set(_vm.state, "activeValue", $event.target.value);
      }
    }
  }), _c("span", [_vm._v("%")])], {
    "slotScope": _vm.state.activeValue
  })], 2)] : _vm._e()], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
